# = Class: denyhosts::disabled
#
# This class removes the denyhosts service.
#
class denyhosts::disabled inherits denyhosts
{
	# package
	Package['denyhosts'] {
		ensure => absent
	}

	# config file
	File['denyhosts.conf'] {
		ensure => absent
	}

	# XXX how do we disable the whitelist?

	# service
	Service['denyhosts'] {
		ensure => stopped,
		enable => false
	}
}
